import Link from "next/link";

export default function ChorelessIsForEveryone() {
	const content = [
		{ title: 'For your Business', description: 'Connect with a real human that will help you get things done — big projects, little tasks or anything in the middle.' },
		{ title: 'For your Home', description: 'Get all those tasks out of your head and into the Choreless app so your specialists can start checking things off.' },
		{ title: 'For your Travel', description: 'Your Choreless Guide will help prioritize what’s important to you and how best to make it happen.' }
	]
	return (
		<section className="mt-[50px] text-center max-w-6xl mx-auto px-5 [@media(min-height:450px)_and_(max-width:639px)]:relative">
			<h1 className="text-4xl sm:text-5xl font-bold bg-white [@media(min-height:450px)_and_(max-width:639px)]:mb-10 [@media(min-height:450px)_and_(max-width:639px)]:sticky [@media(min-height:450px)_and_(max-width:639px)]:top-4">Choreless Is <br className="sm:hidden" /> For Everyone</h1>
			<div className="mt-5 sm:mt-16 grid grid-cols-1 sm:grid-cols-3 text-slate-900 items-center gap-x-[50px] gap-y-6 relative">
				{
					content.map((v, k)=>{
						return <div key={k} className="bg-white [@media(min-height:450px)_and_(max-width:639px)]:py-10 [@media(min-height:450px)_and_(max-width:639px)]:-my-6 [@media(min-height:450px)_and_(max-width:639px)]:sticky [@media(min-height:450px)_and_(max-width:639px)]:top-28">
							<img src={`https://ik.imagekit.io/choreless/v2/icons/FigmaHomeChorelessIsForEveryone${k}`} alt='icon' loading='lazy' className="w-[100px] sm:w-[165px] mx-auto" />
							<h1 className="mt-2 sm:mt-6 text-2xl sm:text-3xl font-bold leading-9">{v.title}</h1>
							<p className="mt-2 sm:mt-5">{v.description}</p>
						</div>
					})
				}
			</div>
			<div className="bg-white [@media(min-height:450px)_and_(max-width:639px)]:sticky [@media(min-height:450px)_and_(max-width:639px)]:top-0">
				<Link href='/signup' className="mt-5 sm:mt-12 btn bg-blue-600 text-white hover:border-blue-600 hover:text-blue-600 hover:bg-transparent rounded-full normal-case">Get Started</Link>
			</div>
		</section>
	);
}
